Recent Posts

Pages: [1] 2 3 4 5 6 ... 10
1
Using Code::Blocks / Code Block Runtime Error
« Last post by vineethvijayan17 on Today at 04:58:34 pm »
Hi ,

I am new to code blocks IDE,I am programming the AX8052F143 using the AX code blocks IDE, The issue is I can successfully debug the program and it works fine but when I use build+ run or Run, I am getting the below error.

Execution of '"c:\Onsemi\Radio_Lab\CRM_Sample1\SLAVE\bin\Release\SLAVE.omf" ' in 'c:\Onsemi\Radio_Lab\CRM_Sample1\SLAVE' failed.

Its something related to the .omf file.

Could anyone please help me to solve this error?

2
Development / Re: svn-12539
« Last post by blauzahn on Today at 01:23:54 pm »
Hello,

I see the same compile error with svn-12556. Here I use ubuntu-20.04 as well as arch linux and
compile cb as usual per command-line, configure and make.

Although the symbol cbDEBUG might be missing in some project(s), IMHO
cbAssertNonFatal should be handled in file src/include/cbexception.h in the same way cbAssert is.

mainly:
Code
#ifndef cbDEBUG
    #define cbAssertMessage(expr)
    #define cbAssertNonFatal(expr)
    #define cbAssert(expr)
 #else

Or maybe define them like en.cppreference.com/w/cpp/error/assert.

A patch for the file is attached.

Thanks in advance.

3
Using Code::Blocks / Re: Keyword Sets
« Last post by cybergray on Today at 11:59:27 am »
Hello BlueHazzard,

the bug is reported to Sourceforge as demanded. I choose you as owner (hope that is oK). Kind regards. *cybergray*
4
Hi group,

Since I am currently using a business laptop to which I do not have the admin rights, I had to intall the nonadmin version .It has been successfully and running but there is no GCC compiler detected, so I have Installed the compiler separately through http://tdm-gcc.tdragon.net/ but it is still not getting detected.
5
Help / Re: How to change the default colours of the changebar
« Last post by vicent on Yesterday at 09:49:28 pm »
The colors for the changebar are currently hard coded in

sdk\cbeditor.cpp:1619

[...]

Can you open a feature request on SF to make this colors configurable?

Done! (see https://sourceforge.net/p/codeblocks/tickets/1160/)

Thank you for the information.
6
Help / Re: Shift-TAB does not work
« Last post by Pecan on Yesterday at 09:23:59 pm »
Can be... This happened after updating c::b but all version should have installed the plugin...
Anyway, my next question is, where is the binding for switch tabs/open documents? i have not found it...

main.cpp line 763
Code
    // New: Allow drag and drop of files into the editor
    SetDropTarget(new cbFileDropTarget(this));

    // Accelerator table
    m_AccelCount = 8;
    m_pAccelEntries.reset(new wxAcceleratorEntry[m_AccelCount]);
    m_pAccelEntries[0].Set(wxACCEL_CTRL | wxACCEL_SHIFT,  (int) 'W', idFileCloseAll);
    m_pAccelEntries[1].Set(wxACCEL_CTRL | wxACCEL_SHIFT,  WXK_F4,    idFileCloseAll);
    m_pAccelEntries[2].Set(wxACCEL_CTRL,                  (int) 'W', idFileClose);
    m_pAccelEntries[3].Set(wxACCEL_CTRL,                  WXK_F4,    idFileClose);
    m_pAccelEntries[4].Set(wxACCEL_CTRL,                  WXK_F6,    idFileNext);
    m_pAccelEntries[5].Set(wxACCEL_CTRL | wxACCEL_SHIFT,  WXK_F6,    idFilePrev);
    m_pAccelEntries[6].Set(wxACCEL_SHIFT,                 WXK_TAB,   idShiftTab);
    m_pAccelEntries[7].Set(wxACCEL_CTRL | wxACCEL_ALT,    WXK_TAB,   idCtrlAltTab);
    m_pAccel.reset(new wxAcceleratorTable(m_AccelCount, m_pAccelEntries.get()));

    SetAcceleratorTable(*m_pAccel);

Here's another possibility.
Let's say a user has an old (personality=default) and the Alt-Left key had an id=1234 in the old menu id.

The user then loads a new CB (personality=default also) which has Alt-Left key id=5678.

Keybinder will do it's best to resolve the conflict. But if another key, say Ctrl-A, has id=1234 Keybinder has to honor the Ctrl-A and drop the Alt-Left.

In general, Keybinder resolves assignments by:
1) Assign all keys in the .conf file the menu id.
2) If multiple .conf keys have the same menu id, the menu wins.

In both cases, a key could get switched around because the old menu id and the .conf menu id did not match, the .conf key was missing in the menu, or two keys in the .conf had the same menu id.

The best way around all these problems is to use separate personalities for each CB version you load.

Also watch out that when debugging, the personality might default to "debug". It'll overwrite debug.cbKeyBinder20.conf every time you close the debug session. Or if you don't set a personality, the debug session will overwrite the default.cbKeyBinder20.conf.
7
Help / Re: Error after Installation of Code::Blocks 20.03
« Last post by GShauffenburg on Yesterday at 07:58:51 pm »
Thank you for the help.

Somehow there was a setting added to the Other Compiler Options tab that was causing my issue.

Everything is working again.
8
Help / Re: Error after Installation of Code::Blocks 20.03
« Last post by gd_on on Yesterday at 06:27:32 pm »
If you installed C::B 20.03 with the official installer, you have certainly also installed gcc 8.1. This version of compiler was built in 2018. As far as I remember, c++20 or gnu++20 was not still available, but you should have gnu++2a effectively, which should work for you. If you really need gnu++20, you should update the compiler with a more recent version, for example the one provided with Msys2. Have a look in the codeblocks manual where you can eventually find other informations.
9
Help / Re: Error after Installation of Code::Blocks 20.03
« Last post by BlueHazzard on Yesterday at 05:26:54 pm »
For compilation errors please always follow this guide:
http://wiki.codeblocks.org/index.php?title=FAQ-Compiling_(general)#Q:_How_do_I_report_a_compilation_problem_on_the_forums.3F

The installed compiler does not support this option. Places where this option can be set:

  • Project->Build options->Select the project name on the left->Compiler flags
  • Project->Build options->Select the project name on the left->Other compiler options
  • Project->Build options->Select your build target on the left->Compiler flags
  • Project->Build options->Select your build target on the left->Other compiler options
  • Settings->Compiler->Global compiler settings->compiler settings->Compiler flags
  • Settings->Compiler->Global compiler settings->compiler settings->Other compiler options
10
Help / Error after Installation of Code::Blocks 20.03
« Last post by GShauffenburg on Yesterday at 04:20:20 pm »
Hello group,

I am new to Code::Blocks and have uninstalled and the reinstalled the latest release (20.03) several times, with a reboot each time, but cannot resolve my issue.  I am working through the examples for C++ ALL-IN-ONE for dummies and am getting the following message after installing the latest release:
=== Build: Debug in VariadicTemplate (compiler: GNU GCC Compiler) ===
error: unrecognized command line option '-std=gnu++20'; did you mean '-std=gnu++2a'?
=== Build failed: 1 error(s), 0 warning(s) (0 minute(s), 0 second(s)) ===

Did I miss something when I performed the install or is there something else that I need to install in addition to Code::Blocks?  I have checked and there is no option for a C++20 compiler and the complier selected is C++17 GNU C++ language standard (ISO C++ plus GNU extensions).   So I am not sure where the gnu++ 20 is even coming from.

Any help or suggestions in how to diagnose and resolve this issue would be greatly appreciated.

Regards,

Graham
Pages: [1] 2 3 4 5 6 ... 10